package kr.co.zumo.app.lifeplus.network.api;

import org.junit.Test;

import io.reactivex.Single;
import kr.co.zumo.app.lifeplus.bean.api.AuthRequestBean;
import kr.co.zumo.app.lifeplus.bean.api.LifeplusAPIBean;
import kr.co.zumo.app.lifeplus.bean.api.AuthConfirmRequestBean;

import static junit.framework.Assert.assertTrue;

/**
 * LifeplusAPIServiceTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018-09-26]   [최초 작성]
 * @since 2018-09-26
 */
public class LifeplusAPIServiceTest {

  @Test
  public void requestMobileAuth() {
    Single<LifeplusAPIBean> test = new LifeplusAPIService().requestMobileAuth(new AuthRequestBean());
    assertTrue(null != test);
  }

  @Test
  public void confirmMobileAuth() {
    Single<LifeplusAPIBean> test = new LifeplusAPIService().confirmMobileAuth(new AuthConfirmRequestBean());
    assertTrue(null != test);
  }
}